aboutsummaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xbootstrap.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 528cc18..12247fb 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,8 +1,9 @@
#!/usr/bin/env sh
+# vi: ft=sh
SYMLINKDIR="$(readlink -f "$0")"
BASEDIR="$(dirname "$SYMLINKDIR")"
-cd $BASEDIR
+cd "$BASEDIR" || exit 1
doIt() {
git submodule update --init --recursive
@@ -24,9 +25,9 @@ then
doIt;
else
printf "This may overwrite existing files in your home directory. Are you sure? (y/n) "
- read REPLY
+ read -r REPLY
echo ""
- if [ "$REPLY" = "y" -o "$REPLY" = "Y" ]
+ if [ "$REPLY" = "y" ] || [ "$REPLY" = "Y" ]
then
doIt
else exit 1